/***************************************************************************
**
**    $Header:   D:/EPSLDV1/SRC/LOG/DA.H__   1.5   20 Jun 1996 09:29:30   ZJRD  $
**
**    $Log:   D:/EPSLDV1/SRC/LOG/DA.H__  $
** 
**    Rev 1.5   20 Jun 1996 09:29:30   ZJRD
** EasyPack/SLD Version 1.20a
** 
**    Rev 1.3   10 Jun 1996 10:24:08   ZJRD
** EasyPack/SLD Version 1.20
** 
**    Rev 1.1   29 May 1996 09:35:48   ZJRD
** EasyPack/SLD Version 1.95
** 
****************************************************************************/

/////////////////////////////////////////////////////////////////////////////
// da.h
//
//Michael Long 
//                                                                           
// 5/14/96
//
/////////////////////////////////////////////////////////////////////////////
#ifndef _DA_
#define _DA_

class DATool : public CToolOption
{      
// constructor/destructor
public:
    DATool() { SetDefault(); }
    
// attributes
public:      
    BOOL    m_fDebug;
    BOOL    m_fList;
    CString m_strMore;
    CString m_strPath;

    virtual LPCSTR GetToolName(void) const 
    {
        return "OMF51 A51 Assembler";
    }

// operations
public:
    virtual void SetDefault(void);
    virtual BOOL LoadOption(FILE * fp);
    virtual BOOL SaveOption(FILE * fp);
    virtual CString GetOption(void) const;

// diagnostic
public:
#ifdef _DEBUG
    virtual void Dump(CDumpContext &dc) const;
#endif      
};

#endif // _DA_
